const SEP: &str = "\n---- bleh ----\n";

fn main() {
    println!("Hello, world!");

    println!("{}", SEP);

    println!("0x{:x}", 0b1111_1010_1111_1010_1111_1010_1111);
    println!("0b{:b}", 0xfafafaf);
    println!("{}", 0xfafafaf);
    println!("{}", 0xfeefee);
    println!("0b{:b}", 0xfeefee);

    println!("{}", SEP);

    let sum = 5 + 10;
    let difference = 95.5 - 4.3;
    let product = 4 * 30;
    let quotient = 56.7 / 32.2;
    let remainder = 43 % 5;

    println!("sum: {}", sum);
    println!("difference: {}", difference);
    println!("product: {}", product);
    println!("quotient: {}", quotient);
    println!("remainder: {}", remainder);
}
